unit uDialogBase;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ActnList;

type
  TfDialogBase = class(TForm)
    ActionListDialog: TActionList;
    actAceptar: TAction;
    actCancelar: TAction;
    pnlBotones: TPanel;
    btnAceptar: TButton;
    btnCancelar: TButton;
    pnlHeader: TPanel;
    lblTitle: TLabel;
    lblComments: TLabel;
    Bevel3: TBevel;
    Bevel2: TBevel;
    pnlCuerpo: TPanel;
    procedure FormShow(Sender: TObject);
  protected
    function GetTextoComentarios: String;
    function GetTextoTitulo: String;
    procedure SetTextoComentarios(const Value: String);
    procedure SetTextoTitulo(const Value: String);
    { Private declarations }
  public
    property TextoComentarios : String read GetTextoComentarios write SetTextoComentarios;
    property TextoTitulo : String read GetTextoTitulo write SetTextoTitulo;    
  end;

implementation

{$R *.dfm}

uses
  uDMBase, uDisplayUtils;

procedure TfDialogBase.FormShow(Sender: TObject);
begin
  ScaleFormFont(Self);
  lblTitle.Font.Color := dmBase.StyleManager.Colors.HeaderColorTo;
end;

function TfDialogBase.GetTextoComentarios: String;
begin
  Result := lblComments.Caption;
end;

function TfDialogBase.GetTextoTitulo: String;
begin
  Result := lblTitle.Caption;
end;

procedure TfDialogBase.SetTextoComentarios(const Value: String);
begin
  lblComments.Caption := Value;
end;

procedure TfDialogBase.SetTextoTitulo(const Value: String);
begin
  lblTitle.Caption := Value;
end;

end.
